# Get a stream by name

> ![docs image](https://dev-assets.cms.uipath.com/assets/images/ixp/ixp-image-321748-9b8b91c8.webp)

## Get a stream by name

![docs image](https://dev-assets.cms.uipath.com/assets/images/ixp/ixp-image-321748-9b8b91c8.webp)

```
/api/v1/datasets/<project>/<dataset_name>/streams/<stream_name>
```

Permissions required: **View labels, View streams**

* Bash
  ```
  curl -X GET 'https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute' \
      -H "Authorization: Bearer $REINFER_TOKEN"
  ```
* Node
  ```
  const request = require("request");

  request.`(
    {
      url: "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute",
      headers: {
        Authorization: "Bearer " + process.env.REINFER_TOKEN,
      },
    },
    function (error, response, json) {
      // digest response
      console.log(JSON.stringify(json, null, 2));
    }
  );
  ```
* Python
  ```

  response = requests.get(
      "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute",
      headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
  )

  print(json.dumps(response.json(), indent=2, sort_keys=True))
  ```
* Response
  ```
  {
    "status": "ok",
    "stream": {
      "context": "0",
      "created_at": "2019-08-03T12:30:00.123456Z",
      "dataset_id": "abcdef0123456789",
      "description": "Used by ACME RPA to create tickets for disputes.",
      "id": "0123456789abcdef",
      "model": {
        "version": 8
      },
      "name": "dispute",
      "title": "Collateral Disputes",
      "updated_at": "2019-08-03T12:30:00.123456Z"
    }
  }
  ```
